import { type ListKeyboardNavigationHost } from '../../utils/list-keyboard-controller';
import { ReactiveControllerHost } from '../../utils/reactive-controller-host';
import { type AriaValidationHost } from '../../utils/validation/aria-validation-controller';
export declare class LmvzHeader extends ReactiveControllerHost implements AriaValidationHost, ListKeyboardNavigationHost {
    readonly el: HTMLElement;
    private primarySlot;
    private secondarySlot;
    private secondaryNav;
    private keyboardNavigationController;
    private get primaryMenuitems();
    private get secondaryMenuitems();
    get role(): string;
    lmvzActiveNav?: string;
    get secondarySlotName(): string;
    constructor();
    handleActiveNavChange(): void;
    componentDidLoad(): void;
    private handlePrimaryNavChange;
    private handleSecondaryNavChange;
    private updateElementsActive;
    private delegateFocus;
    render(): any;
}
